package com.th.demo.mapping.ware;

import com.th.demo.model.ware.DeficitRecord;

import java.util.Date;
import java.util.List;

public interface DeficitRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(DeficitRecord record);

    int insertSelective(DeficitRecord record);

    DeficitRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DeficitRecord record);

    int updateByPrimaryKey(DeficitRecord record);

    List<DeficitRecord> select(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId);

    List<DeficitRecord> selectTotal(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId);
}